> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile List



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /profiles
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /profiles:
    get:
      tags:
        - profiles
      summary: Profile List
      operationId: profile_list
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of items per page
            default: 10
            title: Page Size
          description: Number of items per page
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter profiles by name
            title: Name
          description: Filter profiles by name
        - name: only_active
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to only return active profiles
            default: true
            title: Only Active
          description: Whether to only return active profiles
        - name: only_current_token
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to only return profiles for the current token (apikey)
            default: false
            title: Only Current Token
          description: Whether to only return profiles for the current token (apikey)
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ProfileResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            from notte_sdk import NotteClient

            notte = NotteClient()
            # List all profiles with pagination
            profiles = notte.profiles.list(page=1, page_size=10)
            for profile in profiles:
                print(f"Profile: {profile.profile_id}, name: {profile.name}")
          label: python
        - lang: Curl
          source: |-
            curl -X GET "https://api.notte.cc/profiles?page=1&page_size=10" \
            -H "Authorization: Bearer $NOTTE_API_KEY" \
            -H "Content-Type: application/json"
          label: curl
components:
  schemas:
    PaginatedResponse_ProfileResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProfileResponse'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        has_next:
          type: boolean
          title: Has Next
        has_previous:
          type: boolean
          title: Has Previous
          readOnly: true
      type: object
      required:
        - items
        - page
        - page_size
        - has_next
        - has_previous
      title: PaginatedResponse[ProfileResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProfileResponse:
      properties:
        profile_id:
          type: string
          title: Profile Id
          description: 'Profile ID (format: notte-profile-{16 hex chars})'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Profile name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Profile creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Profile last update timestamp
        persisted_domains:
          items:
            type: string
          type: array
          title: Persisted Domains
          description: >-
            List of domains with persisted browser state (cookies, localStorage,
            sessionStorage)
      type: object
      required:
        - profile_id
        - name
        - created_at
        - updated_at
      title: ProfileResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````